<header class="header">
    <div class="container header-container">
        <a [routerLink]="['/']" class="flex-center">
            <img alt="Elpida Logo" class="logo" src="./assets/Elpida_Logo.svg"/>
        </a>
        <nav>
            <div (click)="toggle()" class="menu-button"></div>
            <div [ngClass]="{'collapse': !isExpanded}" class="nav-links">
                <a [routerLinkActiveOptions]="{ exact: true }" [routerLinkActive]="['active']" [routerLink]="['/']"
                   class="button">
                    <app-icon-with-text [iconName]="'home'">
                        Home
                    </app-icon-with-text>
                </a>
                <a [routerLinkActive]="['active']" [routerLink]="['/Download']" class="button">
                    <app-icon-with-text [iconName]="'download'">
                        Download
                    </app-icon-with-text>
                </a>
                <a [routerLinkActive]="['active']" [routerLink]="['/Database']" class="button">
                    <app-icon-with-text [iconName]="'database'">
                        Database
                    </app-icon-with-text>
                </a>
                <a [routerLinkActive]="['active']" [routerLink]="['/Statistics']" class="button">
                    <app-icon-with-text [iconName]="'statistics'">
                        Statistics
                    </app-icon-with-text>
                </a>
                <a [routerLinkActive]="['active']" [routerLink]="['/Database/Result']" [queryParams]="{descending: true, orderBy: 'timeStamp'}" class="button">
                    <app-icon-with-text [iconName]="'result'">
                        Results
                    </app-icon-with-text>
                </a>
                <a [routerLinkActive]="['active']" [routerLink]="['/About']" class="button">
                    <app-icon-with-text [iconName]="'elpida'">
                        About
                    </app-icon-with-text>
                </a>
            </div>
        </nav>
    </div>
</header>
